<%@ Page Language="C#" AutoEventWireup="true" CodeFile="508.aspx.cs" Inherits="_508" %>

<%@ Register TagPrefix="rad" Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" %>
<%@ Register TagPrefix="rad" Assembly="RadTreeView.Net2" Namespace="Telerik.WebControls" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Untitled Page</title>
	<style type="text/css"> 
	div.radmenu ul.horizontal,
	div.radmenu ul.vertical
	{
		display:block !important;
		left:0;
		float:left;
	}

	div.radmenu .slide
	{
		left:-3000px;
		display: block !important;
	}

    div.radmenu .slide iframe
	{
		display:none;
	}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<div>
			<asp:CheckBox runat="server" ID="CheckBox1" Text="Check for the test" />
			
			<rad:RadTreeView runat="server" ID="RadTreeView1" CheckBoxes="True">
				<NodeTemplate>
					<label><%# Container.Text %></label>
				</NodeTemplate>
				<Nodes>
					<rad:RadTreeNode runat="server" Text="Root Node 1">
						<Nodes>
							<rad:RadTreeNode runat="server" Text="Child Node 1">
							</rad:RadTreeNode>
							<rad:RadTreeNode runat="server" Text="Child Node 2">
							</rad:RadTreeNode>
						</Nodes>
					</rad:RadTreeNode>
					<rad:RadTreeNode runat="server" Text="Root Node 2">
						<Nodes>
							<rad:RadTreeNode runat="server" Text="Child Node 1">
							</rad:RadTreeNode>
							<rad:RadTreeNode runat="server" Text="Child Node 2">
							</rad:RadTreeNode>
						</Nodes>
					</rad:RadTreeNode>
				</Nodes>
			</rad:RadTreeView>
			
			<script type="text/javascript">
			var treeViewElement = document.getElementById("<%= RadTreeView1.ClientID %>");
			treeViewElement.title = "RadTreeView";
			var treeView = window["<%= RadTreeView1.ClientID %>"];
			for (var i = 0; i < treeView.AllNodes.length; i++)
			{
				var node = treeView.AllNodes[i];
				var nodeElement = node.TextElement();
				var checkBox = nodeElement.previousSibling;
				var label = nodeElement.getElementsByTagName("label")[0];
				checkBox.id = node.ID + "_checkBox";
				label.htmlFor = checkBox.id;
			}
			
			</script>
			<asp:Button runat="Server" ID="Button1" Text="PostBack" OnClick="Button1_Click" />
			<rad:RadMenu runat="server" ID="RadMenu1">
				<Items>
					<rad:RadMenuItem runat="server" Text="Root RadMenuItem 1">
						<Items>
							<rad:RadMenuItem runat="server" Text="Child RadMenuItem 1">
							</rad:RadMenuItem>
							<rad:RadMenuItem runat="server" Text="Child RadMenuItem 2">
							</rad:RadMenuItem>
						</Items>
					</rad:RadMenuItem>
					<rad:RadMenuItem runat="server" Text="Root RadMenuItem 2">
						<Items>
							<rad:RadMenuItem runat="server" Text="Child RadMenuItem 1">
							</rad:RadMenuItem>
							<rad:RadMenuItem runat="server" Text="Child RadMenuItem 2">
							</rad:RadMenuItem>
						</Items>
					</rad:RadMenuItem>
					<rad:RadMenuItem runat="server" Text="Root RadMenuItem 3">
						<Items>
							<rad:RadMenuItem runat="server" Text="Child RadMenuItem 1">
							</rad:RadMenuItem>
							<rad:RadMenuItem runat="server" Text="Child RadMenuItem 2">
							</rad:RadMenuItem>
						</Items>
					</rad:RadMenuItem>
				</Items>
			</rad:RadMenu>
		</div>
	</form>
</body>
</html>
